# Interface SetChangeEvent<T>

Raised when items are added or removed from an ObservableSet.

interface SetChangeEvent<T> {
added: T[];
moved: T[];
removed: T[];
target: ObservableSet<T>;
}

#### Type Parameters

- T

#####
Index

### Properties

added
moved
removed
target

##
Properties

### added

added: T[]

The items that were added.

### moved

moved: T[]

The items that were moved.

### removed

removed: T[]

The items that were removed.

### target

target: ObservableSet<T>

The ObservableSet that raised the event.